convert_uudecode
count_chars
String Functions
PHP Manual

# convert_uuencode

(PHP 5)

convert_uuencode — Uuencode a string

### Description

string convert_uuencode ( string `$data` )

convert_uuencode() encodes a string using the uuencode algorithm.

Uuencode translates all strings (including binary's ones) into printable characters, making them safe for network transmissions. Uuencoded data is about 35% larger than the original.

### Parameters

`data`

  The data to be encoded.

### Return Values

Returns the uuencoded data.

### Examples

Example #1 convert_uuencode() example

`<?php
$some_string = "test\ntext text\r\n";
echo convert_uuencode($some_string);
?>`

### See Also

- convert_uudecode()
- base64_encode()

convert_uudecode
count_chars
String Functions
PHP Manual